org.apache.lucene.search.spans

## Class SpanOrQuery.SpanOrWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.lucene.search.spans.SpanWeight
    - - org.apache.lucene.search.spans.SpanOrQuery.SpanOrWeight

- All Implemented Interfaces:
    SegmentCacheable
  Enclosing class:
    SpanOrQuery

      public class SpanOrQuery.SpanOrWeight
      extends SpanWeight

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.spans.SpanWeight

      `SpanWeight.Postings`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

      `Weight.DefaultBulkScorer, Weight.StartDISIWrapper`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.spans.SpanWeight

      `field, similarity, simScorer`

    - ### Fields inherited from class org.apache.lucene.search.Weight

      `parentQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanOrWeight(IndexSearcher searcher, Map<Term,TermStates> terms, List<SpanWeight> subWeights, float boost)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extractTerms(Set<Term> terms)` Expert: adds all terms occurring in this query to the terms set.
    `void` | `extractTermStates(Map<Term,TermStates> contexts)` Collect all TermStates used by this Weight
    `Spans` | `getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)` Expert: Return a Spans object iterating over matches from this Weight
    `boolean` | `isCacheable(LeafReaderContext ctx)`

    - ### Methods inherited from class org.apache.lucene.search.spans.SpanWeight

      `explain, getSimScorer, matches, scorer`

    - ### Methods inherited from class org.apache.lucene.search.Weight

      `bulkScorer, getQuery, scorerSupplier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanOrWeight

          public SpanOrWeight(IndexSearcher searcher,
                              Map<Term,TermStates> terms,
                              List<SpanWeight> subWeights,
                              float boost)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### extractTerms

          public void extractTerms(Set<Term> terms)

      Description copied from class: `Weight`
      Expert: adds all terms occurring in this query to the terms set. If the `Weight` was created with `needsScores == true` then this method will only extract terms which are used for scoring, otherwise it will extract all terms which are used for matching.
      Specified by:
        `extractTerms` in class `Weight`

    - #### isCacheable

          public boolean isCacheable(LeafReaderContext ctx)

      Returns:
        `true` if the object can be cached against a given leaf

    - #### extractTermStates

          public void extractTermStates(Map<Term,TermStates> contexts)

      Description copied from class: `SpanWeight`
      Collect all TermStates used by this Weight
      Specified by:
        `extractTermStates` in class `SpanWeight`
      Parameters:
        `contexts` - a map to add the TermStates to

    - #### getSpans

          public Spans getSpans(LeafReaderContext context,
                                SpanWeight.Postings requiredPostings)
                         throws IOException

      Description copied from class: `SpanWeight`
      Expert: Return a Spans object iterating over matches from this Weight
      Specified by:
        `getSpans` in class `SpanWeight`
      Parameters:
        `context` - a LeafReaderContext for this Spans
      Returns:
        a Spans
      Throws:
        `IOException` - on error

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.